Index: src/backend/commands/tablecmds.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/commands/tablecmds.c,v
retrieving revision 1.32
diff -c -r1.32 tablecmds.c
*** src/backend/commands/tablecmds.c	22 Aug 2002 14:23:36 -0000	1.32
--- src/backend/commands/tablecmds.c	23 Aug 2002 23:06:01 -0000
***************
*** 3370,3377 ****
  	/*
  	 * Create the toast table and its index
  	 */
! 	sprintf(toast_relname, "pg_toast_%u", relOid);
! 	sprintf(toast_idxname, "pg_toast_%u_index", relOid);
  
  	/* this is pretty painful...  need a tuple descriptor */
  	tupdesc = CreateTemplateTupleDesc(3, WITHOUTOID);
--- 3370,3377 ----
  	/*
  	 * Create the toast table and its index
  	 */
! 	snprintf(toast_relname, NAMEDATALEN, "pg_toast_%u", relOid);
! 	snprintf(toast_idxname, NAMEDATALEN, "pg_toast_%u_index", relOid);
  
  	/* this is pretty painful...  need a tuple descriptor */
  	tupdesc = CreateTemplateTupleDesc(3, WITHOUTOID);
Index: src/backend/parser/analyze.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/parser/analyze.c,v
retrieving revision 1.242
diff -c -r1.242 analyze.c
*** src/backend/parser/analyze.c	19 Aug 2002 19:33:34 -0000	1.242
--- src/backend/parser/analyze.c	23 Aug 2002 23:06:01 -0000
***************
*** 665,671 ****
  	 * indexes, only among the indexes we're about to create now; this
  	 * ought to be improved someday.
  	 */
! 	strcpy(typename, label);
  
  	for (;;)
  	{
--- 665,671 ----
  	 * indexes, only among the indexes we're about to create now; this
  	 * ought to be improved someday.
  	 */
! 	strncpy(typename, label, sizeof(typename));
  
  	for (;;)
  	{
***************
*** 685,691 ****
  
  		/* found a conflict, so try a new name component */
  		pfree(iname);
! 		sprintf(typename, "%s%d", label, ++pass);
  	}
  
  	return iname;
--- 685,691 ----
  
  		/* found a conflict, so try a new name component */
  		pfree(iname);
! 		snprintf(typename, sizeof(typename), "%s%d", label, ++pass);
  	}
  
  	return iname;
Index: src/backend/storage/ipc/shmqueue.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/storage/ipc/shmqueue.c,v
retrieving revision 1.21
diff -c -r1.21 shmqueue.c
*** src/backend/storage/ipc/shmqueue.c	20 Jun 2002 20:29:35 -0000	1.21
--- src/backend/storage/ipc/shmqueue.c	23 Aug 2002 23:06:01 -0000
***************
*** 214,224 ****
  	SHM_QUEUE  *start = q;
  	int			count = 0;
  
! 	sprintf(buf, "q prevs: %lx", MAKE_OFFSET(q));
  	q = (SHM_QUEUE *) MAKE_PTR(q->prev);
  	while (q != start)
  	{
! 		sprintf(elem, "--->%lx", MAKE_OFFSET(q));
  		strcat(buf, elem);
  		q = (SHM_QUEUE *) MAKE_PTR(q->prev);
  		if (q->prev == MAKE_OFFSET(q))
--- 214,224 ----
  	SHM_QUEUE  *start = q;
  	int			count = 0;
  
! 	snprintf(buf, sizeof(buf), "q prevs: %lx", MAKE_OFFSET(q));
  	q = (SHM_QUEUE *) MAKE_PTR(q->prev);
  	while (q != start)
  	{
! 		snprintf(elem, sizeof(elem), "--->%lx", MAKE_OFFSET(q));
  		strcat(buf, elem);
  		q = (SHM_QUEUE *) MAKE_PTR(q->prev);
  		if (q->prev == MAKE_OFFSET(q))
***************
*** 229,244 ****
  			break;
  		}
  	}
! 	sprintf(elem, "--->%lx", MAKE_OFFSET(q));
  	strcat(buf, elem);
  	elog(SHMQUEUE_DEBUG_ELOG, "%s: %s", s, buf);
  
! 	sprintf(buf, "q nexts: %lx", MAKE_OFFSET(q));
  	count = 0;
  	q = (SHM_QUEUE *) MAKE_PTR(q->next);
  	while (q != start)
  	{
! 		sprintf(elem, "--->%lx", MAKE_OFFSET(q));
  		strcat(buf, elem);
  		q = (SHM_QUEUE *) MAKE_PTR(q->next);
  		if (q->next == MAKE_OFFSET(q))
--- 229,244 ----
  			break;
  		}
  	}
! 	snprintf(elem, sizeof(elem), "--->%lx", MAKE_OFFSET(q));
  	strcat(buf, elem);
  	elog(SHMQUEUE_DEBUG_ELOG, "%s: %s", s, buf);
  
! 	snprintf(buf, sizeof(buf), "q nexts: %lx", MAKE_OFFSET(q));
  	count = 0;
  	q = (SHM_QUEUE *) MAKE_PTR(q->next);
  	while (q != start)
  	{
! 		snprintf(elem, sizeof(elem), "--->%lx", MAKE_OFFSET(q));
  		strcat(buf, elem);
  		q = (SHM_QUEUE *) MAKE_PTR(q->next);
  		if (q->next == MAKE_OFFSET(q))
***************
*** 249,255 ****
  			break;
  		}
  	}
! 	sprintf(elem, "--->%lx", MAKE_OFFSET(q));
  	strcat(buf, elem);
  	elog(SHMQUEUE_DEBUG_ELOG, "%s: %s", s, buf);
  }
--- 249,255 ----
  			break;
  		}
  	}
! 	snprintf(elem, sizeof(elem), "--->%lx", MAKE_OFFSET(q));
  	strcat(buf, elem);
  	elog(SHMQUEUE_DEBUG_ELOG, "%s: %s", s, buf);
  }
Index: src/backend/utils/adt/acl.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/utils/adt/acl.c,v
retrieving revision 1.75
diff -c -r1.75 acl.c
*** src/backend/utils/adt/acl.c	9 Aug 2002 16:45:14 -0000	1.75
--- src/backend/utils/adt/acl.c	23 Aug 2002 23:06:01 -0000
***************
*** 135,143 ****
  		*s != ACL_MODECHG_EQL_CHR)
  	{
  		/* we just read a keyword, not a name */
! 		if (strcmp(name, ACL_IDTYPE_GID_KEYWORD) == 0)
  			idtype = ACL_IDTYPE_GID;
! 		else if (strcmp(name, ACL_IDTYPE_UID_KEYWORD) != 0)
  			elog(ERROR, "aclparse: bad keyword, must be [group|user]");
  		s = getid(s, name);		/* move s to the name beyond the keyword */
  		if (name[0] == '\0')
--- 135,143 ----
  		*s != ACL_MODECHG_EQL_CHR)
  	{
  		/* we just read a keyword, not a name */
! 		if (strncmp(name, ACL_IDTYPE_GID_KEYWORD, sizeof(name)) == 0)
  			idtype = ACL_IDTYPE_GID;
! 		else if (strncmp(name, ACL_IDTYPE_UID_KEYWORD, sizeof(name)) != 0)
  			elog(ERROR, "aclparse: bad keyword, must be [group|user]");
  		s = getid(s, name);		/* move s to the name beyond the keyword */
  		if (name[0] == '\0')
Index: src/backend/utils/adt/sets.c
===================================================================
RCS file: /var/lib/cvs/pgsql-server/src/backend/utils/adt/sets.c,v
retrieving revision 1.51
diff -c -r1.51 sets.c
*** src/backend/utils/adt/sets.c	9 Aug 2002 16:45:14 -0000	1.51
--- src/backend/utils/adt/sets.c	23 Aug 2002 23:06:01 -0000
***************
*** 95,101 ****
  	if (strcmp(procname, NameStr(proc->proname)) == 0)
  	{
  		/* make the real proc name */
! 		sprintf(realprocname, "set%u", setoid);
  
  		/* set up the attributes to be modified or kept the same */
  		repl[0] = 'r';
--- 95,101 ----
  	if (strcmp(procname, NameStr(proc->proname)) == 0)
  	{
  		/* make the real proc name */
! 		snprintf(realprocname, sizeof(realprocname), "set%u", setoid);
  
  		/* set up the attributes to be modified or kept the same */
  		repl[0] = 'r';
